Orxonox: orxonox::Test Class Reference

# orxonox::Test Class Reference

`#include <src/orxonox/objects/Test.h>`

Inheritance diagram for orxonox::Test:

List of all members.

## Public Member Functions

void | call2 (unsigned int clientID, std::string s1, std::string s2, std::string s3, std::string s4)
void | checkS1 ()
void | checkS2 ()
void | checkS3 ()
void | checkS4 ()
void | checkU1 ()
void | checkU2 ()
void | checkU3 ()
void | checkU4 ()
void | printBlaBla (std::string s1, std::string s2, std::string s3, std::string s4, std::string s5)
void | registerVariables ()
void | setConfigValues ()
| Function to collect the SetConfigValue-macro calls.
void | setS1 (TYPE value)
void | setS2 (TYPE value)
void | setS3 (TYPE value)
void | setS4 (TYPE value)
void | setU1 (UTYPE value)
void | setU2 (UTYPE value)
void | setU3 (UTYPE value)
void | setU4 (UTYPE value)
| Test (BaseObject *creator)
virtual void | tick (float dt)
| Gets called every frame.
virtual | ~Test ()

## Static Public Member Functions

static void | call (unsigned int clientID)
static void | printV1 ()
static void | printV2 ()
static void | printV3 ()
static void | printV4 ()

## Private Attributes

TYPE | s1
TYPE | s2
TYPE | s3
TYPE | s4
UTYPE | u1
UTYPE | u2
UTYPE | u3
UTYPE | u4

## Static Private Attributes

static Test * | instance_ = 0

## Constructor & Destructor Documentation

orxonox::Test::Test | ( | BaseObject * | creator | ) |

References instance_, RegisterObject, registerVariables(), setConfigValues(), and orxonox::Synchronisable::setObjectMode().

orxonox::Test::~Test | ( |  | ) | `[virtual]`

References instance_.

## Member Function Documentation

void orxonox::Test::call | ( | unsigned int | clientID | ) | `[static]`

References callStaticNetworkFunction, and printV1().

void orxonox::Test::call2 | ( | unsigned int | clientID,
|  | std::string | s1,
|  | std::string | s2,
|  | std::string | s3,
|  | std::string | s4 |
| ) |  |  |

References callMemberNetworkFunction, orxonox::Synchronisable::getObjectID(), and printBlaBla().

Referenced by tick().

void orxonox::Test::checkS1 | ( |  | ) |

References COUT, and s1.

Referenced by registerVariables().

void orxonox::Test::checkS2 | ( |  | ) |

References COUT, and s2.

Referenced by registerVariables().

void orxonox::Test::checkS3 | ( |  | ) |

References COUT, and s3.

Referenced by registerVariables().

void orxonox::Test::checkS4 | ( |  | ) |

References COUT, and s4.

Referenced by registerVariables().

void orxonox::Test::checkU1 | ( |  | ) |

References COUT, and u1.

Referenced by registerVariables().

void orxonox::Test::checkU2 | ( |  | ) |

References COUT, and u2.

Referenced by registerVariables().

void orxonox::Test::checkU3 | ( |  | ) |

References COUT, and u3.

Referenced by registerVariables().

void orxonox::Test::checkU4 | ( |  | ) |

References COUT, and u4.

Referenced by registerVariables().

void orxonox::Test::printBlaBla | ( | std::string | s1,
|  | std::string | s2,
|  | std::string | s3,
|  | std::string | s4,
|  | std::string | s5 |
| ) |  |  |

References COUT.

Referenced by call2().

static void orxonox::Test::printV1 | ( |  | ) | `[inline, static]`

Referenced by call().

static void orxonox::Test::printV2 | ( |  | ) | `[inline, static]`

static void orxonox::Test::printV3 | ( |  | ) | `[inline, static]`

static void orxonox::Test::printV4 | ( |  | ) | `[inline, static]`

void orxonox::Test::registerVariables | ( |  | ) |

References checkS1(), checkS2(), checkS3(), checkS4(), checkU1(), checkU2(), checkU3(), checkU4(), orxonox::Synchronisable::registerVariable(), s1, s2, s3, s4, u1, u2, u3, and u4.

Referenced by Test().

void orxonox::Test::setConfigValues | ( |  | ) |

Function to collect the SetConfigValue-macro calls.

Reimplemented from orxonox::OrxonoxClass.

References s1, s2, s3, s4, SetConfigValue, u1, u2, u3, and u4.

Referenced by Test().

void orxonox::Test::setS1 | ( | TYPE | value | ) | `[inline]`

void orxonox::Test::setS2 | ( | TYPE | value | ) | `[inline]`

void orxonox::Test::setS3 | ( | TYPE | value | ) | `[inline]`

void orxonox::Test::setS4 | ( | TYPE | value | ) | `[inline]`

void orxonox::Test::setU1 | ( | UTYPE | value | ) | `[inline]`

void orxonox::Test::setU2 | ( | UTYPE | value | ) | `[inline]`

void orxonox::Test::setU3 | ( | UTYPE | value | ) | `[inline]`

void orxonox::Test::setU4 | ( | UTYPE | value | ) | `[inline]`

void orxonox::Test::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References call2().

## Member Data Documentation

Test * orxonox::Test::instance_ = 0`[static, private]`

Referenced by Test(), and ~Test().

TYPE orxonox::Test::s1`[private]`

Referenced by checkS1(), registerVariables(), and setConfigValues().

TYPE orxonox::Test::s2`[private]`

Referenced by checkS2(), registerVariables(), and setConfigValues().

TYPE orxonox::Test::s3`[private]`

Referenced by checkS3(), registerVariables(), and setConfigValues().

TYPE orxonox::Test::s4`[private]`

Referenced by checkS4(), registerVariables(), and setConfigValues().

UTYPE orxonox::Test::u1`[private]`

Referenced by checkU1(), registerVariables(), and setConfigValues().

UTYPE orxonox::Test::u2`[private]`

Referenced by checkU2(), registerVariables(), and setConfigValues().

UTYPE orxonox::Test::u3`[private]`

Referenced by checkU3(), registerVariables(), and setConfigValues().

UTYPE orxonox::Test::u4`[private]`

Referenced by checkU4(), registerVariables(), and setConfigValues().

The documentation for this class was generated from the following files:

- src/orxonox/objects/Test.h
- src/orxonox/objects/Test.cc